gimp 2.8 + blender 2.63a + python ??

Blender documentation projects, tutorials, translation, learning & teaching Blender

Moderators: jesterKing, stiv

Posts: 2
Joined: Sat Jul 21, 2012 10:01 pm

gimp 2.8 + blender 2.63a + python ??

Postby johnkimble » Sat Jul 21, 2012 10:21 pm

Hey everyone,

First, I am a total newbie so this might be a stupid question.

So I installed blender and it installs some files from python or whatever and there is gimp which also has sth to do with python. But I still can't use only python (at least I didn't found it). So, to avoid my early annoyances, which version of phyton should I install to make it compatible with both programs and to also let me use it.

thank you and I hope it makes sense what I just asked :lol:

Posts: 3645
Joined: Tue Aug 05, 2003 7:58 am
Location: 45N 86W

Postby stiv » Sun Jul 22, 2012 3:45 am

Blender comes with its own copy of Python, so no need to install anything there. If you want to use other Python modules inside Blender, you need Python 3.2 modules.

Not sure what GIMP uses, but I would guess Python 2.7 or 2.6.

To run Python by itself, (like the command line interpreter), you need to install Python. Get the latest from .

As a shell, I rather like IPython, especially with numpy for math & sciency things.

Posts: 2
Joined: Sat Jul 21, 2012 10:01 pm

Postby johnkimble » Sun Jul 22, 2012 11:12 am

Thank you for the reply, totally what I wanted to know, you explain everything.

Appreciate your help! :)

Return to “Documentation & Education”

Who is online

Users browsing this forum: No registered users and 1 guest